"""
This scripts sets the status of a phase in ChemAppPy
"""

from chemapp.friendly import ThermochemicalSystem, Status

# load a thermochemical system from a data file
ThermochemicalSystem.load('../../data/fec.dat')

# set the status of the FCC phase as ENTERED
ThermochemicalSystem.set_status_ph('FCC_A1', Status.ENTERED)

# check if the status is now ENTERED
status = ThermochemicalSystem.get_status_ph('FCC_A1')

# print status
print(status)