"""
This script gets the molar mass of a phase constituent
"""

from chemapp.friendly import ThermochemicalSystem, Units, AmountUnit


# load a thermochemical system from a data file
ThermochemicalSystem.load('../../data/fec.dat')

Units.set_A_unit(AmountUnit.gram)

# get the molar mass of O2 in the gas phase
mm_c = ThermochemicalSystem.get_mm_sc('C')

# print the molar mass
print(mm_c*1000.0)