# USAGE: you probably want 'setup.py install' - but execute 'setup.py --help'
# for all the details.

from sys import argv
from setuptools import setup


__version__ = '831.2.0'
__copyright__ = 'Copyright 2021-2024, **//**'
__author__ = '**//**'
__credits__ = ['**//**']
__maintainer__ = '**//**'
__email__ = '**//**'
__status__ = 'Production'


print(argv)

# package the distribution
setup(name='chemapp',
      version=__version__,
      description='ChemApp for Python.',
      packages=['chemapp'],
      package_dir={'chemapp': 'chemapp'},
      package_data={
          'chemapp': ['*.dll', '*.so*', '*.pyd', '*.pyi', 'data/*', 'doc/*',
          'text-templates/*',
                        'examples/data/*',
                        'examples/00-other/MongoDB/*',
                        'examples/10-core/StreamCalculationResult/*',
                        'examples/30-friendly/EquilibriumCalculation/*',
                        'examples/30-friendly/Info/*',
                        'examples/30-friendly/PhaseMapCalculation/*',
                        'examples/30-friendly/StreamCalculation/*',
                        'examples/30-friendly/ThermochemicalSystem/*',
                        'examples/30-friendly/Units/*',
                        'LICENSE'],
          },
      install_requires=['pymongo', 'jinja2', 'numpy', 'matplotlib', 'pint','regex', 'python-slugify'],
      python_requires='>=3.9',
      url='www.gtt-technologies.de',
      author=__author__,
      author_email=__email__)